/**
 * 
 */
package explorer;

import alice.tucson.api.Agent;
import alice.tucson.api.AgentId;
import alice.tucson.api.TucsonException;

/**
 * This abstract class represent an Explorer Agent
 * @author andreamonaldini
 *
 */
public abstract class ExplorerAgent extends Agent {
	
	/**
	 * NORTH direction
	 */
	public static final int NORTH=0;
	
	/**
	 * EAST direction
	 */
	public static final int EAST=1;
	
	/**
	 * SOUTH direction
	 */
	public static final int SOUTH=2;
	
	/**
	 * WEST direction
	 */
	public static final int WEST=3;
	
	int x;	//the x position of the agent
	int y;	// the y position of the agent
	SpaceGrid grid;	//the virual space where agent works
	AgentId id;	//id of the agent
	
	/**
	 * Constructs a new Explorer Agent 
	 * @param id Agent ID.
	 * @param grid The virual space where agent works.
	 * @param x The x position of the agent
	 * @param y The y position of the agent
	 * @throws TucsonException
	 */
	public ExplorerAgent(AgentId id, SpaceGrid grid, int x, int y) throws TucsonException {
		super(id);
		this.id=id;
		this.grid=grid;
		this.x=x;
		this.y=y;
	}

}
